Bug 78274 - intermittent kernel crash on 2 different computers, "Unable to handle kernel paging request at virtual address 403c205e"
intermittent kernel crash on 2 different computers, "Unable to handle kernel ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-20 13:52 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-20 13:52:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b) Gecko/20021016

Description of problem:
On 2 separate boxes we have been getting intermittent crashes with RedHat 8.0
using all the latest packages (kernel 2.4.18-18.8.0).  The crashes cause varying
levels of locked-up-ness of the computer, in general requiring local cold
reboots.  Most of the time it leaves messages in /var/log/message.  The first
error message seems to always be while running updatedb (see error logs below).  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Intermittent.  One box was crashing about once every few days.  Other box has
only crashed once so far out of couple of weeks of uptime.	

Actual Results:  painful

Expected Results:  lovely, stable, linux

Additional info:

[root@mp-33 root]# uname -a
Linux mp-33.phoenix-int.com 2.4.18-18.8.0 #1 Wed Nov 13 22:52:09 EST 2002 i686 a

Note, These were test boxes as we are hoping to upgrade our real servers.  We
cannot do so with this crash in there, though.  Since this one of the boxes has
been rebuilt with a different OS.  I just tried the following on the other
(won't know if it helps for a while given the intermittent nature of the bug):
Removed all unnecessary kernel modules including parallel port, sound card, and
USB drivers.  Added ide=nodma to the grub boot line on suggestion from another
issue here (this box has a VIA chipset, however, the other box did not). 

These boxes were just built and have been patched with latest rpm updates.  You
can see the kernel modules that were loaded at the time of the crash in the logs
below.

/var/log/messages:

Nov 20 04:02:14 mp-33 kernel: Unable to handle kernel paging request at virtual
address 403c205e
Nov 20 04:02:14 mp-33 kernel:  printing eip:
Nov 20 04:02:14 mp-33 kernel: c0153741
Nov 20 04:02:14 mp-33 kernel: *pde = 12da4067
Nov 20 04:02:14 mp-33 kernel: *pte = 00000000
Nov 20 04:02:14 mp-33 kernel: Oops: 0000
Nov 20 04:02:14 mp-33 kernel: autofs tulip iptable_filter ip_tables mousedev
keybdev hid input usb-uhci usbcore ext3 jbd
Nov 20 04:02:14 mp-33 kernel: CPU:    0
Nov 20 04:02:14 mp-33 kernel: EIP:    0010:[<c0153741>]    Not tainted
Nov 20 04:02:14 mp-33 kernel: EFLAGS: 00010207
Nov 20 04:02:14 mp-33 kernel:
Nov 20 04:02:14 mp-33 kernel: EIP is at d_lookup [kernel] 0x61 (2.4.18-18.8.0)
Nov 20 04:02:14 mp-33 kernel: eax: d3f32ef0   ebx: 403c202a   ecx: 00000010  
edx: d3f00000
Nov 20 04:02:14 mp-33 kernel: esi: 403c201a   edi: 00000000   ebp: 9bdeb1f3  
esp: d204be8c
Nov 20 04:02:14 mp-33 kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 04:02:14 mp-33 kernel: Process updatedb (pid: 3523, stackpage=d204b000)
Nov 20 04:02:14 mp-33 kernel: Stack: 00008192 d4822e7b ca8a3640 ca8a2900
403c201a d3f32ef0 d12a7000 00000007
Nov 20 04:02:14 mp-33 kernel:        d12a7000 d12a7007 00000000 d204bf48
c0149c4b cb123840 d204beec d12a7000
Nov 20 04:02:14 mp-33 kernel:        c014a299 cb123840 d204beec 00000000
00000008 00000000 cb126580 00000000
Nov 20 04:02:14 mp-33 kernel: Call Trace: [<d4822e7b>] ext3_lookup [ext3] 0x9b
(0xd204be90))
Nov 20 04:02:14 mp-33 kernel: [<c0149c4b>] cached_lookup [kernel] 0x1b (0xd204bebc))
Nov 20 04:02:14 mp-33 kernel: [<c014a299>] link_path_walk [kernel] 0x3d9
(0xd204becc))
Nov 20 04:02:14 mp-33 kernel: [<c014a8b9>] path_lookup [kernel] 0x39 (0xd204bf0c))
Nov 20 04:02:14 mp-33 kernel: [<c014ab59>] __user_walk [kernel] 0x49 (0xd204bf1c))
Nov 20 04:02:14 mp-33 kernel: [<c0146caf>] vfs_lstat [kernel] 0x1f (0xd204bf38))
Nov 20 04:02:14 mp-33 kernel: [<c014730b>] sys_lstat64 [kernel] 0x1b (0xd204bf70))
Nov 20 04:02:14 mp-33 kernel: [<c0109117>] system_call [kernel] 0x33 (0xd204bfc0))
Nov 20 04:02:14 mp-33 kernel:
Nov 20 04:02:14 mp-33 kernel:
Nov 20 04:02:14 mp-33 kernel: Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39 7e 0c 75
df 8b 57 4c 85
Nov 20 05:10:58 mp-33 kernel:  ------------[ cut here ]------------
Nov 20 05:10:58 mp-33 kernel: kernel BUG at dcache.c:362!
Nov 20 05:10:58 mp-33 kernel: invalid operand: 0000
Nov 20 05:10:58 mp-33 kernel: autofs tulip iptable_filter ip_tables mousedev
keybdev hid input usb-uhci usbcore ext3 jbd
Nov 20 05:10:58 mp-33 kernel: CPU:    0
Nov 20 05:10:58 mp-33 kernel: EIP:    0010:[<c0153061>]    Not tainted
Nov 20 05:10:58 mp-33 kernel: EFLAGS: 00010206
Nov 20 05:10:58 mp-33 kernel:
Nov 20 05:10:58 mp-33 kernel: EIP is at prune_dcache [kernel] 0x91 (2.4.18-18.8.0)
Nov 20 05:10:58 mp-33 kernel: eax: 00210000   ebx: ca99d0d8   ecx: ca9a2000  
edx: ca99d158
Nov 20 05:10:58 mp-33 kernel: esi: ca99d0c0   edi: ca99e900   ebp: 0000012c  
esp: c1d8dfac
Nov 20 05:10:58 mp-33 kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 05:10:58 mp-33 kernel: Process kswapd (pid: 5, stackpage=c1d8d000)
Nov 20 05:10:58 mp-33 kernel: Stack: caffe3c0 ca9a2f40 c1d8c000 00000015
c1d8c000 00000000 c1d8c245 0008e000
Nov 20 05:10:58 mp-33 kernel:        c0153494 00000140 c01363be 00000006
000001f0 00000018 00010f00 c1d87fb8
Nov 20 05:10:58 mp-33 kernel:        c0105000 c010745e 00000000 c01362f0 00000000
Nov 20 05:10:58 mp-33 kernel: Call Trace: [<c0153494>] shrink_dcache_memory
[kernel] 0x24 (0xc1d8dfcc))
Nov 20 05:10:58 mp-33 kernel: [<c01363be>] kswapd [kernel] 0xce (0xc1d8dfd4))
Nov 20 05:10:58 mp-33 kernel: [<c0105000>] stext [kernel] 0x0 (0xc1d8dfec))
Nov 20 05:10:58 mp-33 kernel: [<c010745e>] kernel_thread [kernel] 0x2e (0xc1d8dff0))
Nov 20 05:10:58 mp-33 kernel: [<c01362f0>] kswapd [kernel] 0x0 (0xc1d8dff8))
Nov 20 05:10:58 mp-33 kernel:
Nov 20 05:10:58 mp-33 kernel:
Nov 20 05:10:58 mp-33 kernel: Code: 0f 0b 6a 01 62 73 25 c0 8d 43 f8 8b 48 04 8b
53 f8 89 11 89
Nov 20 05:19:17 mp-33 kernel:  ------------[ cut here ]------------
Nov 20 05:19:17 mp-33 kernel: kernel BUG at dcache.c:362!
Nov 20 05:19:17 mp-33 kernel: invalid operand: 0000
Nov 20 05:19:17 mp-33 kernel: autofs tulip iptable_filter ip_tables mousedev
keybdev hid input usb-uhci usbcore ext3 jbd
Nov 20 05:19:17 mp-33 kernel: CPU:    0
Nov 20 05:19:17 mp-33 kernel: EIP:    0010:[<c0153061>]    Not tainted
Nov 20 05:19:17 mp-33 kernel: EFLAGS: 00010206
Nov 20 05:19:17 mp-33 kernel:
Nov 20 05:19:17 mp-33 kernel: EIP is at prune_dcache [kernel] 0x91 (2.4.18-18.8.0)
Nov 20 05:19:17 mp-33 kernel: eax: 00210000   ebx: ca99d158   ecx: ca9a2858  
edx: ca99d1d8
Nov 20 05:19:17 mp-33 kernel: esi: ca99d140   edi: cab35580   ebp: 00000001  
esp: cab37f2c
Nov 20 05:19:17 mp-33 kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 05:19:17 mp-33 kernel: Process mimedefang (pid: 3684, stackpage=cab37000)
Nov 20 05:19:17 mp-33 kernel: Stack: d10d6029 ca9a2968 cab36000 00000001
cab36000 ca9a2940 cab35580 ca9a2940
Nov 20 05:19:17 mp-33 kernel:        c0153454 00000001 ca9a2940 cab355fc
c014b806 ca9a2940 d10d6000 c014b8f7
Nov 20 05:19:17 mp-33 kernel:        ca9a2940 00000003 d10d6000 ca9a2940
ca9a2940 cab37f90 c014bb8d cab35580
Nov 20 05:19:17 mp-33 kernel: Call Trace: [<c0153454>] shrink_dcache_parent
[kernel] 0x24 (0xcab37f4c))
Nov 20 05:19:17 mp-33 kernel: [<c014b806>] d_unhash [kernel] 0x26 (0xcab37f5c))
Nov 20 05:19:17 mp-33 kernel: [<c014b8f7>] vfs_rmdir [kernel] 0xb7 (0xcab37f68))
Nov 20 05:19:17 mp-33 kernel: [<c014bb8d>] sys_rmdir [kernel] 0xed (0xcab37f84))
Nov 20 05:19:17 mp-33 kernel: [<c0109117>] system_call [kernel] 0x33 (0xcab37fc0))
Nov 20 05:19:17 mp-33 kernel:
Nov 20 05:19:17 mp-33 kernel:
Nov 20 05:19:17 mp-33 kernel: Code: 0f 0b 6a 01 62 73 25 c0 8d 43 f8 8b 48 04 8b
53 f8 89 11 89
Nov 20 05:20:16 mp-33 kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000034
Nov 20 05:20:16 mp-33 kernel:  printing eip:
Nov 20 05:20:16 mp-33 kernel: c0153741
Nov 20 05:20:16 mp-33 kernel: *pde = 00000000
Nov 20 05:20:16 mp-33 kernel: Oops: 0000
Nov 20 05:20:16 mp-33 kernel: autofs tulip iptable_filter ip_tables mousedev
keybdev hid input usb-uhci usbcore ext3 jbd
Nov 20 05:20:16 mp-33 kernel: CPU:    0
Nov 20 05:20:16 mp-33 kernel: EIP:    0010:[<c0153741>]    Not tainted
Nov 20 05:20:16 mp-33 kernel: EFLAGS: 00010217
Nov 20 05:20:16 mp-33 kernel:
Nov 20 05:20:16 mp-33 kernel: EIP is at d_lookup [kernel] 0x61 (2.4.18-18.8.0)
Nov 20 05:20:16 mp-33 kernel: eax: d3f24be8   ebx: 00000000   ecx: 00000010  
edx: d3f00000
Nov 20 05:20:16 mp-33 kernel: esi: fffffff0   edi: 00000000   ebp: c525c698  
esp: cab37ecc
Nov 20 05:20:16 mp-33 kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 05:20:16 mp-33 kernel: Process rhn_check (pid: 3694, stackpage=cab37000)
Nov 20 05:20:16 mp-33 kernel: Stack: c014a198 cab37f48 cab37eec 00000000
fffffff0 d3f24be8 d12e201f 00000008
Nov 20 05:20:16 mp-33 kernel:        d12e201f d12e2027 00000000 cab37f78
c0149c4b d22e9ec0 cab37f2c d12e201f
Nov 20 05:20:16 mp-33 kernel:        c014a299 d22e9ec0 cab37f2c 00000000
00000001 00000000 c28d0900 00000000
Nov 20 05:20:16 mp-33 kernel: Call Trace: [<c014a198>] link_path_walk [kernel]
0x2d8 (0xcab37ecc))
Nov 20 05:20:16 mp-33 kernel: [<c0149c4b>] cached_lookup [kernel] 0x1b (0xcab37efc))
Nov 20 05:20:17 mp-33 kernel: [<c014a299>] link_path_walk [kernel] 0x3d9
(0xcab37f0c))
Nov 20 05:20:17 mp-33 kernel: [<c0146c4f>] vfs_stat [kernel] 0x1f (0xcab37f38))
Nov 20 05:20:17 mp-33 kernel: [<c014a8b9>] path_lookup [kernel] 0x39 (0xcab37f4c))
Nov 20 05:20:17 mp-33 kernel: [<c014ae87>] filp_open [kernel] 0x97 (0xcab37f5c))
Nov 20 05:20:17 mp-33 kernel: [<c013e8c3>] sys_open [kernel] 0x53 (0xcab37fa8))
Nov 20 05:20:17 mp-33 kernel: [<c0109117>] system_call [kernel] 0x33 (0xcab37fc0))
Nov 20 05:20:17 mp-33 kernel:
Nov 20 05:20:17 mp-33 kernel:
Nov 20 05:20:17 mp-33 kernel: Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39 7e 0c 75
df 8b 57 4c 85
Nov 20 07:20:17 mp-33 kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000034
Nov 20 07:20:17 mp-33 kernel:  printing eip:
Nov 20 07:20:17 mp-33 kernel: c0153741
Nov 20 07:20:17 mp-33 kernel: *pde = 00000000
Nov 20 07:20:17 mp-33 kernel: Oops: 0000
Nov 20 07:20:17 mp-33 kernel: autofs tulip iptable_filter ip_tables mousedev
keybdev hid input usb-uhci usbcore ext3 jbd
Nov 20 07:20:17 mp-33 kernel: CPU:    0
Nov 20 07:20:17 mp-33 kernel: EIP:    0010:[<c0153741>]    Not tainted
Nov 20 07:20:17 mp-33 kernel: EFLAGS: 00010217
Nov 20 07:20:17 mp-33 kernel:
Nov 20 07:20:17 mp-33 kernel: EIP is at d_lookup [kernel] 0x61 (2.4.18-18.8.0)
Nov 20 07:20:17 mp-33 kernel: eax: d3f24be8   ebx: 00000000   ecx: 00000010  
edx: d3f00000
Nov 20 07:20:17 mp-33 kernel: esi: fffffff0   edi: 00000000   ebp: c525c698  
esp: cb0efecc
Nov 20 07:20:17 mp-33 kernel: ds: 0018   es: 0018   ss: 0018
Nov 20 07:20:17 mp-33 kernel: Process rhn_check (pid: 3882, stackpage=cb0ef000)
.
.
.
Comment 1 Bugzilla owner 2004-09-30 11:40:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.